Bug 1546295 - Official packages don't default to IPv6
Summary: Official packages don't default to IPv6
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: rpc
Version: 3.13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milind Changire
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-16 19:50 UTC by Alex Ivanov
Modified: 2018-06-20 18:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 18:28:43 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Alex Ivanov 2018-02-16 19:50:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install official v3.13.2 package for Debian 8 amd64 from https://download.gluster.org/pub/gluster/glusterfs/LATEST/Debian/
2. Run glusterd --debug

Actual results:
[2018-02-16 19:47:50.345667] D [name.c:598:server_fill_address_family] 0-socket.management: option address-family not specified, defaulting to inet

Expected results:
inet6 family should be auto-selected

Additional info:
glusterfs 3.13.2

Comment 2 Alex Ivanov 2018-02-18 11:28:05 UTC
So there are actually two issues there:

1. 3.13.2 doesn't enable IPv6 by default

2. 4.0rc0 should enable it by default, if libtirpc is installed, however even Debian sid still provides too old libtirpc. I was able to build with default IPv6 on Debian 9 after installing 
https://packages.debian.org/experimental/libtirpc3
https://packages.debian.org/experimental/libtirpc-dev

Comment 3 Shyamsundar 2018-06-20 18:28:43 UTC
This bug reported is against a version of Gluster that is no longer maintained
(or has been EOL'd). See https://www.gluster.org/release-schedule/ for the
versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline
gluster repository, request that it be reopened and the Version field be marked
appropriately.


Note You need to log in before you can comment on or make changes to this bug.